# Uses of Interface
com.google.protobuf.FieldOrBuilder

Packages that use FieldOrBuilder
Package
Description
com.google.protobuf

## Uses of FieldOrBuilder in com.google.protobuf

Classes in com.google.protobuf that implement FieldOrBuilder
Modifier and Type
Class
Description
`final class`
`Field`
Protobuf type `google.protobuf.Field`
`static final class`
`Field.Builder`
Protobuf type `google.protobuf.Field`
Methods in com.google.protobuf that return FieldOrBuilder
Modifier and Type
Method
Description
`FieldOrBuilder`
Type.Builder.`getFieldsOrBuilder(int index)`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`FieldOrBuilder`
Type.`getFieldsOrBuilder(int index)`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`FieldOrBuilder`
TypeOrBuilder.`getFieldsOrBuilder(int index)`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
Methods in com.google.protobuf that return types with arguments of type FieldOrBuilder
Modifier and Type
Method
Description
`List<? extends FieldOrBuilder>`
Type.Builder.`getFieldsOrBuilderList()`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`List<? extends FieldOrBuilder>`
Type.`getFieldsOrBuilderList()`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`List<? extends FieldOrBuilder>`
TypeOrBuilder.`getFieldsOrBuilderList()`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`